Package io.vertx.ext.web.sstore.redis

## Interface RedisSessionStore

- All Superinterfaces:
    `SessionStore`

      public interface RedisSessionStore
      extends SessionStore

  A SessionStore that uses a Redis to store the sessions and associated data. This assumes that the redis logical database (i.e. select) is only used to store the sessions to make size query reliable.
  Author:
    Rémy Noël

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static long` | `DEFAULT_RETRY_TIMEOUT_MS` |

    - ### Fields inherited from interface io.vertx.ext.web.sstore.SessionStore

      `DEFAULT_SESSIONID_LENGTH`

  - ### Method Summary

    Static Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static RedisSessionStore` | `create​(Vertx vertx, long retryTimeoutMs, Redis redis)` | Creates a RedisSessionStore with the given retry TO.
    `static RedisSessionStore` | `create​(Vertx vertx, Redis redis)` | Creates a RedisSessionStore with the default retry TO.

    - ### Methods inherited from interface io.vertx.ext.web.sstore.SessionStore

      `clear, close, createSession, createSession, delete, get, init, put, retryTimeout, size`

- - ### Field Detail

    - #### DEFAULT_RETRY_TIMEOUT_MS

          static final long DEFAULT_RETRY_TIMEOUT_MS

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### create

          static RedisSessionStore create​(Vertx vertx,
                                          Redis redis)

      Creates a RedisSessionStore with the default retry TO.
      Parameters:
        `vertx` - a Vert.x instance
        `redis` - A Redis client
      Returns:
        the store

    - #### create

          static RedisSessionStore create​(Vertx vertx,
                                          long retryTimeoutMs,
                                          Redis redis)

      Creates a RedisSessionStore with the given retry TO.
      Parameters:
        `vertx` - a Vert.x instance
        `redis` - The given options to establish the connection
        `retryTimeoutMs` - The time between two consecutive tries
      Returns:
        the store